# Record Class CSCertificateTaskStatusType.CSCertificateTaskInProgress

java.lang.Object
java.lang.Record
com.io7m.certusine.vanilla.internal.tasks.CSCertificateTaskStatusType.CSCertificateTaskInProgress

Record Components:
  `delayRequired` - The delay required before retrying

All Implemented Interfaces:
  `CSCertificateTaskStatusType`

Enclosing interface:
  `CSCertificateTaskStatusType`

public static record CSCertificateTaskStatusType.CSCertificateTaskInProgress(OptionalLong delayRequired) extends Record implements CSCertificateTaskStatusType
The task is in progress and should be retried.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from interface CSCertificateTaskStatusType

  `CSCertificateTaskStatusType.CSCertificateTaskCompleted, CSCertificateTaskStatusType.CSCertificateTaskFailedButCanBeRetried, CSCertificateTaskStatusType.CSCertificateTaskFailedPermanently, CSCertificateTaskStatusType.CSCertificateTaskInProgress`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CSCertificateTaskInProgress(OptionalLong delayRequired)`
  The task is in progress and should be retried.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `OptionalLong`
  `delayRequired()`
  Returns the value of the `delayRequired` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `boolean`
  `isFailure()`
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CSCertificateTaskInProgress

    public CSCertificateTaskInProgress(OptionalLong delayRequired)
    The task is in progress and should be retried.
    Parameters:
      `delayRequired` - The delay required before retrying

- ## Method Details

  - ### isFailure

    public boolean isFailure()
    Specified by:
      `isFailure` in interface `CSCertificateTaskStatusType`
    Returns:
      The status is a failure

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### delayRequired

    public OptionalLong delayRequired()
    Returns the value of the `delayRequired` record component.
    Specified by:
      `delayRequired` in interface `CSCertificateTaskStatusType`
    Returns:
      the value of the `delayRequired` record component